Bug 117704 - Cd is mounted by wron user running multiple X-session
Cd is mounted by wron user running multiple X-session
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: magicdev (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-07 13:29 EST by bednar
Modified: 2013-03-13 00:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 14:10:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bednar 2004-03-07 13:29:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040124

Description of problem:
I have two Xservers running one for my work, one for the others. When
I am logged in and lock the screen with Xscreensaver and another user
log int second Xsession and try to use CDs the problem apperars.
Magicdev mounts CD inserted when second Xsession is active and second
user put the CD in drive as user one logged to first Xsession. Using
proper fie permissions (in /etc/fstab) the CD is usable, but second
user cannot unmount end eject the CD. It is a case when a /dev/cdrom
is user mountable in /etc/fstab.

Version-Release number of selected component (if applicable):
magicdev-1.1.4-7

How reproducible:
Always

Steps to Reproduce:
1. Change /etc/X11/gdm/gdm.conf to run 2 Xessesion
2. Log into first session as user A
3. Log into second session as user B
4. In second session put the CD in the drive


    

Actual Results:  The CD is mounted and owned by user A
User B cannot eject the CD

Expected Results:  The CD should be  mounted and owned by user B
User B CAN eject the CD
Comment 1 John (J5) Palmieri 2004-08-25 14:10:50 EDT
This is the way console user permissions work.  The first user to log
in  at the console gets the permission for the device.  Solution is to
use sudo to eject the drive.

Note You need to log in before you can comment on or make changes to this bug.